package com.liang.common.annotation;



import com.liang.common.enums.Logical;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 数据权限
 *
 * @author tangfei
 *
 */
@Target({ ElementType.PARAMETER,ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
public @interface DataPermissions {
	String[] value() default {};//权限标识
	String type() default "";//方法分类
	Logical logical() default Logical.AND;
}
